Issue #6267 has been reported by pabloh (Pablo Herrero).

----------------------------------------
Bug #6267: Segmentation fault when exponentiating complex number
https://bugs.ruby-lang.org/issues/6267

Author: pabloh (Pablo Herrero)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: ruby 1.9.3p125 (2012-02-16 revision 34643) [i686-linux]


A segfault is raised when running the following script, with any exponent greater or equal to 5:

require "mathn/complex"
Complex(0,1)**5


It only seems to happen when exponentiating pure imaginary numbers and if 'mathn/coplex' is loaded, otherwise it works just fine.


-- 
http://bugs.ruby-lang.org/